print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceconcretepipe = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local concretepipeHudFile = "Paletten/hud_fill_concretepipe.dds"
	local concretepipeHudFileSmall = "Paletten/hud_fill_concretepipe_small.dds"
	
    local concretepipeFilType = g_fillTypeManager:addFillType("CONCRETEPIPE", g_i18n:getText("concretepipe"), true, priceconcretepipe * 1.0, 0.00045, math.rad(10), concretepipeHudFile, concretepipeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasconcretepipe=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasconcretepipe=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CONCRETEPIPE" then
		hasconcretepipe=true
	end;
		
end;

		if hasmaize and not hasconcretepipe then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CONCRETEPIPE")
		local price = g_fillTypeManager:getFillTypeByName("CONCRETEPIPE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CONCRETEPIPE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)